{
  "address": "0xF27e0dfD58B423b1e1B90a554001d0561917602F",
  "abi": [
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "previousAdmin",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "newAdmin",
          "type": "address"
        }
      ],
      "name": "ProxyAdminTransferred",
      "type": "event"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "previousImplementation",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "newImplementation",
          "type": "address"
        }
      ],
      "name": "ProxyImplementationUpdated",
      "type": "event"
    },
    {
      "stateMutability": "payable",
      "type": "fallback"
    },
    {
      "inputs": [],
      "name": "proxyAdmin",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes4",
          "name": "id",
          "type": "bytes4"
        }
      ],
      "name": "supportsInterface",
      "outputs": [
        {
          "internalType": "bool",
          "name": "",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "newAdmin",
          "type": "address"
        }
      ],
      "name": "transferProxyAdmin",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "newImplementation",
          "type": "address"
        }
      ],
      "name": "upgradeTo",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "newImplementation",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "data",
          "type": "bytes"
        }
      ],
      "name": "upgradeToAndCall",
      "outputs": [],
      "stateMutability": "payable",
      "type": "function"
    },
    {
      "stateMutability": "payable",
      "type": "receive"
    },
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "sponsor",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "target",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "feeToken",
          "type": "address"
        },
        {
          "indexed": false,
          "internalType": "uint256",
          "name": "oneBalanceChainId",
          "type": "uint256"
        },
        {
          "indexed": false,
          "internalType": "uint256",
          "name": "nativeToFeeTokenXRateNumerator",
          "type": "uint256"
        },
        {
          "indexed": false,
          "internalType": "uint256",
          "name": "nativeToFeeTokenXRateDenominator",
          "type": "uint256"
        },
        {
          "indexed": false,
          "internalType": "bytes32",
          "name": "correlationId",
          "type": "bytes32"
        }
      ],
      "name": "LogUseGelato1Balance",
      "type": "event"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "_taskId",
          "type": "bytes32"
        }
      ],
      "name": "cancelTask",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_execAddress",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "_execDataOrSelector",
          "type": "bytes"
        },
        {
          "components": [
            {
              "internalType": "enum LibDataTypes.Module[]",
              "name": "modules",
              "type": "uint8[]"
            },
            {
              "internalType": "bytes[]",
              "name": "args",
              "type": "bytes[]"
            }
          ],
          "internalType": "struct LibDataTypes.ModuleData",
          "name": "_moduleData",
          "type": "tuple"
        },
        {
          "internalType": "address",
          "name": "_feeToken",
          "type": "address"
        }
      ],
      "name": "createTask",
      "outputs": [
        {
          "internalType": "bytes32",
          "name": "taskId",
          "type": "bytes32"
        }
      ],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_taskCreator",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "_execAddress",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "_execData",
          "type": "bytes"
        },
        {
          "components": [
            {
              "internalType": "enum LibDataTypes.Module[]",
              "name": "modules",
              "type": "uint8[]"
            },
            {
              "internalType": "bytes[]",
              "name": "args",
              "type": "bytes[]"
            }
          ],
          "internalType": "struct LibDataTypes.ModuleData",
          "name": "_moduleData",
          "type": "tuple"
        },
        {
          "internalType": "uint256",
          "name": "_txFee",
          "type": "uint256"
        },
        {
          "internalType": "address",
          "name": "_feeToken",
          "type": "address"
        },
        {
          "internalType": "bool",
          "name": "_useTaskTreasuryFunds",
          "type": "bool"
        },
        {
          "internalType": "bool",
          "name": "_revertOnFailure",
          "type": "bool"
        }
      ],
      "name": "exec",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_taskCreator",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "_execAddress",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "_execData",
          "type": "bytes"
        },
        {
          "components": [
            {
              "internalType": "enum LibDataTypes.Module[]",
              "name": "modules",
              "type": "uint8[]"
            },
            {
              "internalType": "bytes[]",
              "name": "args",
              "type": "bytes[]"
            }
          ],
          "internalType": "struct LibDataTypes.ModuleData",
          "name": "_moduleData",
          "type": "tuple"
        },
        {
          "components": [
            {
              "internalType": "address",
              "name": "sponsor",
              "type": "address"
            },
            {
              "internalType": "address",
              "name": "feeToken",
              "type": "address"
            },
            {
              "internalType": "uint256",
              "name": "oneBalanceChainId",
              "type": "uint256"
            },
            {
              "internalType": "uint256",
              "name": "nativeToFeeTokenXRateNumerator",
              "type": "uint256"
            },
            {
              "internalType": "uint256",
              "name": "nativeToFeeTokenXRateDenominator",
              "type": "uint256"
            },
            {
              "internalType": "bytes32",
              "name": "correlationId",
              "type": "bytes32"
            }
          ],
          "internalType": "struct IGelato1Balance.Gelato1BalanceParam",
          "name": "_oneBalanceParam",
          "type": "tuple"
        },
        {
          "internalType": "bool",
          "name": "_revertOnFailure",
          "type": "bool"
        }
      ],
      "name": "exec1Balance",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "",
          "type": "bytes32"
        }
      ],
      "name": "execAddresses",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "fee",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "",
          "type": "uint256"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "feeToken",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "gelato",
      "outputs": [
        {
          "internalType": "address payable",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "getFeeDetails",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "",
          "type": "uint256"
        },
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "taskCreator",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "execAddress",
          "type": "address"
        },
        {
          "internalType": "bytes4",
          "name": "execSelector",
          "type": "bytes4"
        },
        {
          "components": [
            {
              "internalType": "enum LibDataTypes.Module[]",
              "name": "modules",
              "type": "uint8[]"
            },
            {
              "internalType": "bytes[]",
              "name": "args",
              "type": "bytes[]"
            }
          ],
          "internalType": "struct LibDataTypes.ModuleData",
          "name": "moduleData",
          "type": "tuple"
        },
        {
          "internalType": "address",
          "name": "feeToken",
          "type": "address"
        }
      ],
      "name": "getTaskId",
      "outputs": [
        {
          "internalType": "bytes32",
          "name": "taskId",
          "type": "bytes32"
        }
      ],
      "stateMutability": "pure",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "taskCreator",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "execAddress",
          "type": "address"
        },
        {
          "internalType": "bytes4",
          "name": "execSelector",
          "type": "bytes4"
        },
        {
          "internalType": "bool",
          "name": "useTaskTreasuryFunds",
          "type": "bool"
        },
        {
          "internalType": "address",
          "name": "feeToken",
          "type": "address"
        },
        {
          "internalType": "bytes32",
          "name": "resolverHash",
          "type": "bytes32"
        }
      ],
      "name": "getTaskId",
      "outputs": [
        {
          "internalType": "bytes32",
          "name": "taskId",
          "type": "bytes32"
        }
      ],
      "stateMutability": "pure",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "_taskCreator",
          "type": "address"
        }
      ],
      "name": "getTaskIdsByUser",
      "outputs": [
        {
          "internalType": "bytes32[]",
          "name": "",
          "type": "bytes32[]"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "",
          "type": "bytes32"
        }
      ],
      "name": "nonce1Balance",
      "outputs": [
        {
          "internalType": "uint256",
          "name": "",
          "type": "uint256"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "enum LibDataTypes.Module[]",
          "name": "_modules",
          "type": "uint8[]"
        },
        {
          "internalType": "address[]",
          "name": "_moduleAddresses",
          "type": "address[]"
        }
      ],
      "name": "setModule",
      "outputs": [],
      "stateMutability": "nonpayable",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "",
          "type": "bytes32"
        }
      ],
      "name": "taskCreator",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "enum LibDataTypes.Module",
          "name": "",
          "type": "uint8"
        }
      ],
      "name": "taskModuleAddresses",
      "outputs": [
        {
          "internalType": "address",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "taskTreasury",
      "outputs": [
        {
          "internalType": "contract ITaskTreasuryUpgradable",
          "name": "",
          "type": "address"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "",
          "type": "bytes32"
        }
      ],
      "name": "timedTask",
      "outputs": [
        {
          "internalType": "uint128",
          "name": "nextExec",
          "type": "uint128"
        },
        {
          "internalType": "uint128",
          "name": "interval",
          "type": "uint128"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [],
      "name": "version",
      "outputs": [
        {
          "internalType": "string",
          "name": "",
          "type": "string"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    },
    {
      "inputs": [
        {
          "internalType": "address",
          "name": "implementationAddress",
          "type": "address"
        },
        {
          "internalType": "address",
          "name": "adminAddress",
          "type": "address"
        },
        {
          "internalType": "bytes",
          "name": "data",
          "type": "bytes"
        }
      ],
      "stateMutability": "payable",
      "type": "constructor"
    }
  ],
  "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
  "receipt": {
    "to": "0x0000000000000000000000000000000000008006",
    "from": "0xF1108379d71ff2A785899F4C36010f841F1Fea04",
    "contractAddress": "0xF27e0dfD58B423b1e1B90a554001d0561917602F",
    "transactionIndex": 7,
    "gasUsed": "8606162",
    "logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7",
    "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
    "logs": [
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0x000000000000000000000000000000000000800A",
        "topics": [
          "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
          "0x000000000000000000000000f1108379d71ff2a785899f4c36010f841f1fea04",
          "0x0000000000000000000000000000000000000000000000000000000000008001"
        ],
        "data": "0x000000000000000000000000000000000000000000000000000bd287fcf2b680",
        "logIndex": 43,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0x0000000000000000000000000000000000008008",
        "topics": [
          "0x3a36e47291f4201faf137fab081d92295bce2d53be2c6ca68ba82c7faa9ce241",
          "0x000000000000000000000000000000000000000000000000000000000000800e",
          "0x5f174936a827058b55ff2c8e39d7e146eb9b1b3503fae505cc3e7d7ae89baba4"
        ],
        "data": "[encoded data, 14722 characters]",
        "logIndex": 44,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0x0000000000000000000000000000000000008004",
        "topics": [
          "0xc94722ff13eacf53547c4741dab5228353a05938ffcdd5d4a2d533ae0e618287",
          "0x0100012dcd6014e899c2ff3081a927209c515f4ffb776dfb2de0d1945048515b",
          "0x0000000000000000000000000000000000000000000000000000000000000000"
        ],
        "data": "0x",
        "logIndex": 45,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0xF27e0dfD58B423b1e1B90a554001d0561917602F",
        "topics": [
          "0x5570d70a002632a7b0b3c9304cc89efb62d8da9eca0dbd7752c83b7379068296",
          "0x0000000000000000000000000000000000000000000000000000000000000000",
          "0x000000000000000000000000a2e4fe5d72dd39624fa8d91d4e6f07baa12ddb43"
        ],
        "data": "0x",
        "logIndex": 46,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0xF27e0dfD58B423b1e1B90a554001d0561917602F",
        "topics": [
          "0xdf435d422321da6b195902d70fc417c06a32f88379c20dd8f2a8da07088cec29",
          "0x0000000000000000000000000000000000000000000000000000000000000000",
          "0x000000000000000000000000f1108379d71ff2a785899f4c36010f841f1fea04"
        ],
        "data": "0x",
        "logIndex": 47,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0x0000000000000000000000000000000000008006",
        "topics": [
          "0x290afdae231a3fc0bbae8b1af63698b0a1d79b21ad17df0342dfb952fe74f8e5",
          "0x000000000000000000000000f1108379d71ff2a785899f4c36010f841f1fea04",
          "0x0100012dcd6014e899c2ff3081a927209c515f4ffb776dfb2de0d1945048515b",
          "0x000000000000000000000000f27e0dfd58b423b1e1b90a554001d0561917602f"
        ],
        "data": "0x",
        "logIndex": 48,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      },
      {
        "transactionIndex": 7,
        "blockNumber": 5925200,
        "transactionHash": "0xbea8658249206abb6e71db690c62181e2ed31270ed40fd37be6bd880f30f2a16",
        "address": "0x000000000000000000000000000000000000800A",
        "topics": [
          "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
          "0x0000000000000000000000000000000000000000000000000000000000008001",
          "0x000000000000000000000000f1108379d71ff2a785899f4c36010f841f1fea04"
        ],
        "data": "0x00000000000000000000000000000000000000000000000000042db76db9c980",
        "logIndex": 49,
        "blockHash": "0x32e17c062ca069e28c2aea7da7e766855597c217bd9a84c57c5681227a781dd7"
      }
    ],
    "blockNumber": 5925200,
    "cumulativeGasUsed": "0",
    "status": 1,
    "byzantium": true
  },
  "args": [
    "0xa2E4FE5d72dd39624Fa8d91D4E6F07bAa12dDb43",
    "0xF1108379d71ff2A785899F4C36010f841F1Fea04",
    "0x"
  ],
  "numDeployments": 1,
  "solcInputHash": "a55a0720c0d0238808136c5effb03d4d",
  "metadata": {
    "optimizer_settings": "M3B3",
    "solc_metadata": "{\"compiler\":{\"version\":\"0.8.14+commit.80d49f37\"},\"language\":\"Solidity\",\"output\":{\"abi\":[{\"inputs\":[{\"internalType\":\"address\",\"name\":\"implementationAddress\",\"type\":\"address\"},{\"internalType\":\"address\",\"name\":\"adminAddress\",\"type\":\"address\"},{\"internalType\":\"bytes\",\"name\":\"data\",\"type\":\"bytes\"}],\"stateMutability\":\"payable\",\"type\":\"constructor\"},{\"anonymous\":false,\"inputs\":[{\"indexed\":true,\"internalType\":\"address\",\"name\":\"previousAdmin\",\"type\":\"address\"},{\"indexed\":true,\"internalType\":\"address\",\"name\":\"newAdmin\",\"type\":\"address\"}],\"name\":\"ProxyAdminTransferred\",\"type\":\"event\"},{\"anonymous\":false,\"inputs\":[{\"indexed\":true,\"internalType\":\"address\",\"name\":\"previousImplementation\",\"type\":\"address\"},{\"indexed\":true,\"internalType\":\"address\",\"name\":\"newImplementation\",\"type\":\"address\"}],\"name\":\"ProxyImplementationUpdated\",\"type\":\"event\"},{\"stateMutability\":\"payable\",\"type\":\"fallback\"},{\"inputs\":[],\"name\":\"proxyAdmin\",\"outputs\":[{\"internalType\":\"address\",\"name\":\"\",\"type\":\"address\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[{\"internalType\":\"bytes4\",\"name\":\"id\",\"type\":\"bytes4\"}],\"name\":\"supportsInterface\",\"outputs\":[{\"internalType\":\"bool\",\"name\":\"\",\"type\":\"bool\"}],\"stateMutability\":\"view\",\"type\":\"function\"},{\"inputs\":[{\"internalType\":\"address\",\"name\":\"newAdmin\",\"type\":\"address\"}],\"name\":\"transferProxyAdmin\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[{\"internalType\":\"address\",\"name\":\"newImplementation\",\"type\":\"address\"}],\"name\":\"upgradeTo\",\"outputs\":[],\"stateMutability\":\"nonpayable\",\"type\":\"function\"},{\"inputs\":[{\"internalType\":\"address\",\"name\":\"newImplementation\",\"type\":\"address\"},{\"internalType\":\"bytes\",\"name\":\"data\",\"type\":\"bytes\"}],\"name\":\"upgradeToAndCall\",\"outputs\":[],\"stateMutability\":\"payable\",\"type\":\"function\"},{\"stateMutability\":\"payable\",\"type\":\"receive\"}],\"devdoc\":{\"kind\":\"dev\",\"methods\":{},\"version\":1},\"userdoc\":{\"kind\":\"user\",\"methods\":{},\"notice\":\"Proxy implementing EIP173 for ownership management\",\"version\":1}},\"settings\":{\"compilationTarget\":{\"contracts/vendor/proxy/EIP173/EIP173Proxy.sol\":\"EIP173Proxy\"},\"evmVersion\":\"london\",\"libraries\":{},\"metadata\":{\"bytecodeHash\":\"ipfs\"},\"optimizer\":{\"enabled\":true,\"runs\":200},\"remappings\":[],\"viaIR\":true},\"sources\":{\"contracts/vendor/proxy/EIP173/EIP173Proxy.sol\":{\"keccak256\":\"0x09fe40909bb79ccee2a7a2aa7b23ec9447efb70b1716bc13027dd239f9d438c0\",\"license\":\"GPL-3.0\",\"urls\":[\"bzz-raw://04399ede2fcbdd25e469fbdfb1d43bef67d65fa38c48c57192bd295a5c5db477\",\"dweb:/ipfs/QmV4BNn59jgC9f4u1JiXMU26sXeKfy9sDmwrExEvhJQZqD\"]},\"contracts/vendor/proxy/EIP173/Proxy.sol\":{\"keccak256\":\"0xb5e3e1c4cab8a5e3bd968f51c201a11e651f62b47aa78a4e3e0b7508be268d35\",\"license\":\"GPL-3.0\",\"urls\":[\"bzz-raw://7ae4f4936cc5632e31da04307746a3eafbb6179008958c8f6c578942fccbc969\",\"dweb:/ipfs/QmZZL2yrZBHVjPEtG6c3Su7XCA5jPkGkw38hbfB6Eegunz\"]}},\"version\":1}",
    "zk_version": "1.3.7"
  },
  "bytecode": "[encoded data, 19266 characters]",
  "deployedBytecode": "[encoded data, 19266 characters]",
  "implementation": "0xa2E4FE5d72dd39624Fa8d91D4E6F07bAa12dDb43",
  "devdoc": {
    "kind": "dev",
    "methods": {},
    "version": 1
  },
  "userdoc": {
    "kind": "user",
    "methods": {},
    "notice": "Proxy implementing EIP173 for ownership management",
    "version": 1
  },
  "storageLayout": {
    "storage": [],
    "types": null
  }
}
